Subject: bug#9302: nmail-extra-headers too mysterious

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 18 Aug 2011 02:05:14 +0200

Dave Abrahams <[email-masked]> writes:

> I just saw this message flash by:
>
>   `Cc' isn't present in `nnmail-extra-headers'
>
> which is mysterious enough as it is, and should be more descriptive.
> Why would I care that `Cc' isn't present in `nnmail-extra-headers'?  Why
> would Gnus care?

Because you tried to limit the summary buffer (or something like that)
using criteria Gnus didn't have, because `nnmail-extra-headers' didn't
include Cc.

> Near as I can tell by trolling through the info manual, this variable
> has something to do with making information available to summary line
> display, but if that's the case, it's hardly obvious from its docstring,
> which is simply "Extra headers to parse."  Parse when?  For what purpose?

Parse to make available for Gnus.  I've clarified the doc string slightly.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/